# Record Class LCaptionName

java.lang.Object
java.lang.Record
com.io7m.laurel.model.LCaptionName

Record Components:
  `text` - The caption text

All Implemented Interfaces:
  `Comparable<LCaptionName>`

public record LCaptionName(String text) extends Record implements Comparable<LCaptionName>
A caption.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Pattern`
  `VALID_CAPTION`
  The pattern that defines a valid caption.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LCaptionName(String text)`
  A caption.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(LCaptionName other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `text()`
  Returns the value of the `text` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### VALID_CAPTION

    public static final Pattern VALID_CAPTION
    The pattern that defines a valid caption.

- ## Constructor Details

  - ### LCaptionName

    public LCaptionName(String text)
    A caption.
    Parameters:
      `text` - The caption text

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### compareTo

    public int compareTo(LCaptionName other)
    Specified by:
      `compareTo` in interface `Comparable<LCaptionName>`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### text

    public String text()
    Returns the value of the `text` record component.
    Returns:
      the value of the `text` record component